org.apache.lucene.benchmark.byTask.tasks

## Class CloseIndexTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.CloseIndexTask

All Implemented Interfaces:
  Cloneable

    public class CloseIndexTask
    extends PerfTask

Close index writer.
Other side effects: index writer object in perfRunData is nullified.
Takes optional param "doWait": if false, then close(false) is called.

### Field Summary

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

### Constructor Summary

Constructors
Constructor and Description
`CloseIndexTask(PerfRunData runData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`void` `setParams(String params)` Set the params of this task.
`boolean` `supportsParams()` Sub classes that support parameters must override this method to return true.

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloseIndexTask

    public CloseIndexTask(PerfRunData runData)

### Method Detail

#### doLogic

    public int doLogic()
                throws IOException

Description copied from class: `PerfTask`
Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

Specified by:
  `doLogic` in class `PerfTask`
Returns:
  number of work items done by this task.
Throws:
  `IOException`

#### setParams

    public void setParams(String params)

Description copied from class: `PerfTask`
Set the params of this task.

Overrides:
  `setParams` in class `PerfTask`

#### supportsParams

    public boolean supportsParams()

Description copied from class: `PerfTask`
Sub classes that support parameters must override this method to return true.

Overrides:
  `supportsParams` in class `PerfTask`
Returns:
  true iff this task supports command line params.